<template>
  <nav class="navbar back-navbar navbar-expand-lg navbar-dark bg-primary fixed-top" id="sideNav">
    <div v-on:click.prevent="$scrollTo('#about')" class="navbar-brand">
      <span class="d-block d-lg-none">iamcollins</span>
      <span class="d-none d-lg-block">
        <g-image
          alt="Image of Loke"
          src="../assets/images/profile.jpg"
          class="img-fluid img-profile rounded-circle mx-auto mb-2"
        />
      </span>
    </div>

    <div class="collapse navbar-collapse" id="navbarSupportedContent">
      <ul class="navbar-nav">
        <li class="nav-item">
          <g-link class="nav-link" to="/">Back</g-link>
        </li>
      </ul>
    </div>
  </nav>
</template>

<<style lang="scss">
    .back-navbar {
        .collapse{
            display: block !important;
        }

        .navbar-collapse {
            flex-basis: 0;
            flex-grow: 0;
            align-items: center;
        }
    }
</style>